package com.bytedance.geckox.model;

import com.bytedance.covode.number.Covode;
import com.bytedance.geckox.policy.loop.model.GlobalConfig;
import com.google.gson.a.c;
import java.util.List;
import java.util.Map;

public class CombineComponentModel {
    @c(LIZ = "global_config")
    public GlobalConfig globalConfig = new GlobalConfig();
    @c(LIZ = "packages")
    public List<UpdatePackage> packages;
    @c(LIZ = "universal_strategies")
    public Map<String, CleanPolicyModel> universalStrategies;

    static {
        Covode.recordClassIndex(26499);
    }

    public GlobalConfig getGlobalConfig() {
        return this.globalConfig;
    }

    public List<UpdatePackage> getPackages() {
        return this.packages;
    }

    public Map<String, CleanPolicyModel> getUniversalStrategies() {
        return this.universalStrategies;
    }
}
